org.eclipse.wst.jsdt.chromium.debug.core.model

## Class StringMappingData

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.StringMappingData

    public class StringMappingData
    extends java.lang.Object

A raw-level data that defines segments inside one multiline substring in terms of lines/columns. A segment is a range within string from (line1, col1) inclusive to (line2, col2) exclusive. These segments could be used for defining a map between to strings.

### Constructor Summary

Constructors
Constructor and Description
`StringMappingData(int[] lineColumnDataArray, int endLine, int endColumn)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `findContainingSegment(int line, int col)` Finds a segment, that includes position (line, col).
`int` `getEndColumn()`
`int` `getEndLine()`
`int` `getLastSegmentId()`
`static int` `getNextSegmentId(int segmentId)`
`int` `getSegmentBeginColumn(int segmentId)`
`int` `getSegmentBeginLine(int segementId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringMappingData

    public StringMappingData(int[] lineColumnDataArray,
                             int endLine,
                             int endColumn)

Parameters:
  `lineColumnDataArray` - non-empty array of pairs (line, column); first pair must correspond to the beginning of the whole substring
  `endLine` - end line of the whole substring
  `endColumn` - end column of the whole substring

### Method Detail

#### getEndLine

    public int getEndLine()

#### getEndColumn

    public int getEndColumn()

#### findContainingSegment

    public int findContainingSegment(int line,
                                     int col)

Finds a segment, that includes position (line, col). Each segment has its begin inclusive and its end exclusive.

Returns:
  segment identifier

#### getSegmentBeginLine

    public int getSegmentBeginLine(int segementId)

Parameters:
  `segementId` - internal id of the segment that was returned by other methods of the class

#### getSegmentBeginColumn

    public int getSegmentBeginColumn(int segmentId)

Parameters:
  `segementId` - internal id of the segment that was returned by other methods of the class

#### getLastSegmentId

    public int getLastSegmentId()

#### getNextSegmentId

    public static int getNextSegmentId(int segmentId)